#version 330 core

uniform sampler2D tex;

in struct
{
	vec2 texCoord;
	vec4 color;
    vec3 normal;
}fInfo;

out vec4 fragColor;

void main()
{
	fragColor = texture2D(tex, fInfo.texCoord) * fInfo.color;
}